none
Exchange 2007 SP3 Rollups won't install RRS feed

  • Frage

  • Hi,

    im migrating a SBS 2008 Server to Server 2012 R2 with Exchange 2013 installed. Everything is fine by now. I have to install

    the latest Update Rollup on the Source Exchange 2007 Server. SP3 is installed. But when trying to install any Rollup (testet the latest 17 and 1 and 16), the Installation Fails. Here is the logfile:

    === Verbose logging started: 13.07.2015  16:04:34  Build type: SHIP UNICODE 4.05.6002.00  Calling process: C:\Windows\SYSTEM32\msiexec.exe ===
    MSI (c) (7C:BC) [16:04:34:126]: Resetting cached policy values
    MSI (c) (7C:BC) [16:04:34:126]: Machine policy value 'Debug' is 7
    MSI (c) (7C:BC) [16:04:34:126]: ******* RunEngine:
               ******* Product: {24B2C164-DE66-44FE-B468-A46D9D5E6B31}
               ******* Action:
               ******* CommandLine:  PATCH="T:\Exchange2007-KB2279665-x64-DE.msp"
    MSI (c) (7C:BC) [16:04:34:127]: Machine policy value 'DisableUserInstalls' is 0
    MSI (c) (7C:BC) [16:04:34:134]: Cloaking enabled.
    MSI (c) (7C:BC) [16:04:34:134]: Attempting to enable all disabled privileges before calling Install on Server
    MSI (c) (7C:BC) [16:04:34:140]: End dialog not enabled
    MSI (c) (7C:BC) [16:04:34:141]: Original package ==> C:\Windows\Installer\14175a.msi
    MSI (c) (7C:BC) [16:04:34:141]: Package we're running from ==> C:\Windows\Installer\14175a.msi
    MSI (c) (7C:BC) [16:04:34:169]: APPCOMPAT: looking for appcompat database entry with ProductCode '{24B2C164-DE66-44FE-B468-A46D9D5E6B31}'.
    MSI (c) (7C:BC) [16:04:34:169]: APPCOMPAT: no matching ProductCode found in database.
    MSI (c) (7C:BC) [16:04:34:170]: MSCOREE not loaded loading copy from system32
    MSI (c) (7C:BC) [16:04:35:694]: Original patch ==> T:\Exchange2007-KB2279665-x64-DE.msp
    MSI (c) (7C:BC) [16:04:35:694]: Patch we're running from ==> C:\Users\Administrator\AppData\Local\Temp\1\d6245.msp
    MSI (c) (7C:BC) [16:04:35:695]: SOFTWARE RESTRICTION POLICY: Verifying patch --> 'T:\Exchange2007-KB2279665-x64-DE.msp' against software restriction policy
    MSI (c) (7C:BC) [16:04:35:695]: SOFTWARE RESTRICTION POLICY: T:\Exchange2007-KB2279665-x64-DE.msp has a digital signature
    MSI (c) (7C:BC) [16:04:36:038]: SOFTWARE RESTRICTION POLICY: T:\Exchange2007-KB2279665-x64-DE.msp is permitted to run at the 'unrestricted' authorization level.
    MSI (c) (7C:BC) [16:04:36:038]: SequencePatches starts. Product code: {24B2C164-DE66-44FE-B468-A46D9D5E6B31}, Product version: 8.3.83.6, Upgrade code: {176A0BF3-6A69-4EEB-95D6-F67F0E9751E0}, Product language 1033
    MSI (c) (7C:BC) [16:04:36:039]: Optimizations are not possible in the patch sequencer because there are no applied patches.
    MSI (c) (7C:BC) [16:04:36:039]: PATCH SEQUENCER: verifying the applicability of QFE patch T:\Exchange2007-KB2279665-x64-DE.msp against product code: {24B2C164-DE66-44FE-B468-A46D9D5E6B31}, product version: 8.3.83.6, product language 1033 and upgrade code: {176A0BF3-6A69-4EEB-95D6-F67F0E9751E0}
    MSI (c) (7C:BC) [16:04:36:039]: Validating transform 'E12_DAT_RTMToE12_DAT_UPG' with validation bits 0x923
    MSI (c) (7C:BC) [16:04:36:039]: Note: 1: 2745 2: E12_DAT_RTMToE12_DAT_UPG 3: C:\Users\Administrator\AppData\Local\Temp\1\d6245.msp 4: 1031 5: 1033
    MSI (c) (7C:BC) [16:04:36:039]: 1: 2745 2: E12_DAT_RTMToE12_DAT_UPG 3: C:\Users\Administrator\AppData\Local\Temp\1\d6245.msp 4: 1031 5: 1033
    MSI (c) (7C:BC) [16:04:36:039]: PATCH SEQUENCER: QFE patch T:\Exchange2007-KB2279665-x64-DE.msp is not applicable.
    MSI (c) (7C:BC) [16:04:36:039]: PATCH SEQUENCER: there's no supersedence information available, so no patches will be superseded.
    MSI (c) (7C:BC) [16:04:36:039]: SequencePatches returns success.
    MSI (c) (7C:BC) [16:04:36:039]: Final Patch Application Order:
    MSI (c) (7C:BC) [16:04:36:041]: Other Patches:
    MSI (c) (7C:BC) [16:04:36:041]: Unknown\Absent: {84D11E02-C073-42EF-B0F0-FB4A1B929D4B} - T:\Exchange2007-KB2279665-x64-DE.msp
    Das Upgrade kann nicht vom Windows-Installationsdienst installiert werden, da das zu aktualisierende Programm nicht vorhanden ist oder eine andere Version des Programms mit dem Upgrade aktualisiert wird. Überprüfen Sie, ob das zu aktualisierende Programm vorhanden ist und das richtige Upgrade verwendet wird.
    C:\Windows\Installer\14175a.msi
    MSI (c) (7C:BC) [16:04:36:043]: Product: Microsoft Exchange Server - Update '{84D11E02-C073-42EF-B0F0-FB4A1B929D4B}' could not be installed. Error code 1642. Additional information is available in the log file T:\ru.log.

    MSI (c) (7C:BC) [16:04:36:043]: Windows Installer installed an update. Product Name: Microsoft Exchange Server. Product Version: 8.3.83.6. Product Language: 1033. Update Name: {84D11E02-C073-42EF-B0F0-FB4A1B929D4B}. Installation success or error status: 1642.

    MSI (c) (7C:BC) [16:04:36:044]: Note: 1: 1708
    MSI (c) (7C:BC) [16:04:36:044]: Product: Microsoft Exchange Server -- Installation failed.

    MSI (c) (7C:BC) [16:04:36:044]: Windows Installer installed the product. Product Name: Microsoft Exchange Server. Product Version: 8.3.83.6. Product Language: 1033. Installation success or error status: 1642.

    MSI (c) (7C:BC) [16:04:36:048]: Attempting to delete file C:\Users\Administrator\AppData\Local\Temp\1\d6245.msp
    MSI (c) (7C:BC) [16:04:36:054]: MainEngineThread is returning 1642
    === Verbose logging stopped: 13.07.2015  16:04:36 ===

    From my undestanding, the rollup cant find the installed Exchange Server. Anyone can help here ?

    Thank you...

    Montag, 13. Juli 2015 15:37

Antworten

  • Moin,

    OK, klar.

    Leere / lösche mal das Logfile und dann mit einem Administrativem CMD das RU per Commandozeile starten.

    Wenn´s dann nicht klappt, hätte ich keine spontane Idee, die Verzeichnisse hast du bestimmt schon geprüft.

    Wenn es drängt, einen Call beim MS PSS aufmachen.

    ;)


    Gruß Norbert

    Dienstag, 14. Juli 2015 07:42
    Moderator

Alle Antworten

  • Moin,

    ich antworte mal auf deutsch, da du hier im Deutschen Forum gelandet bist.

    Zunächst würde ich mal prüfen, welchen Stand der Exchange in dem SBS tatsächlich hat:
    http://blog-schulenburg.de/index.php/kategorie-als-blog/87-exchange-build-nummern

    Hast du den 2013 mit dem CU9 schon auf dem 2012R2 installiert?

    ;)


    Gruß Norbert

    Montag, 13. Juli 2015 17:39
    Moderator
  • Hallo,

    vielen Dank für Deine Antwort. Version habe ich schon doppelt und dreifach gecheckt. Stimmst soweit alles. Stand ist SP3.

    [PS] C:\Windows\System32>GCM exsetup |%{$_.Fileversioninfo}

    ProductVersion   FileVersion      FileName
    --------------   -----------      --------
    08.03.0083.006   08.03.0083.006   C:\PROGRAM FILES\MICROSOFT\EXCHANGE SERVER...


    [PS] C:\Windows\System32>

    Ja, CU9 ist schon auf dem 2013er. Die Postfächer sind auch schon migriert. Für die PF Migration benötige ich jedoch einen höheren Stand als SP3 auf dem Duellserver.


    Dienstag, 14. Juli 2015 07:33
  • Moin,

    OK, klar.

    Leere / lösche mal das Logfile und dann mit einem Administrativem CMD das RU per Commandozeile starten.

    Wenn´s dann nicht klappt, hätte ich keine spontane Idee, die Verzeichnisse hast du bestimmt schon geprüft.

    Wenn es drängt, einen Call beim MS PSS aufmachen.

    ;)


    Gruß Norbert

    Dienstag, 14. Juli 2015 07:42
    Moderator
  • Wo kann man da einen Call aufmachen? Was ist MS PSS? Vielen Dank vorab.

    Dienstag, 14. Juli 2015 10:36
  • Okay, schon geschnallt. Ich habe eher schlechte Erfahrungen mit Microsoft gemacht bei so einem Call. Damals wurde mir empfohlen, die F8 Taste zu drücken. Ein Server fuhr nicht mehr hoch mit einem Bluescreen.Meinst Du, die können das Problem lösen ?

    Dienstag, 14. Juli 2015 10:51
  • Moin,

    PSS ->ProduktServiceSupport

    Ich habe durchweg gute Erfahrung, sofern wirklich mal gebraucht.

    Und für einen Pauschalbetrag macht das halt kein Dienstleister :)

    Wir können ja noch ein paar Sachen probieren - findest du zeitgleich Fehler in den Logs?

    Ist das Teil sonst sauber oder zickt noch was?

    ;)


    Gruß Norbert

    Dienstag, 14. Juli 2015 10:56
    Moderator
  • Hi,

    nein, sonst ist das Teil recht in Ordnung. Migration der Postfächer war auch wunderbar. Nun brauche ich jedoch für die Migration der PF mindestens Rollup 5, da es ansonsten beim Move der PF einen Fehler gibt. Das ist der einzige Grund, warum ich das Rollup installieren möchte. Alternatiive wäre einfach die PF zu exportieren und auf dem neuen Server zu importieren. Mach ich aber eigentlich ungerne.

    Ich weiß nicht, wo ich ansetzen soll, da im Log kein richtiger Fehler ersichtlich ist. Er meint halt einfach, dass die installierte Exchange Version nicht passt.

    Dienstag, 14. Juli 2015 11:37
  • Moin,

    hat neulich einen ähnlichen Fall, da haben wir das SP3 nochmal laufen lassen, reboot, direkt danach gingt das RU17

    ;)


    Gruß Norbert

    Dienstag, 14. Juli 2015 11:57
    Moderator
  • Genau das habe ich schon versucht, er kann das SP3 aber nicht erneut installieren. Oder gibt es dafür einen Parameter ?
    Dienstag, 14. Juli 2015 13:44
  • Moin,

    ich kenne nur den Weg über ein Administratives CMD und im entpackten Verzeichnis die Setup.com /Upgrade

    ;)


    Gruß Norbert

    Dienstag, 14. Juli 2015 13:56
    Moderator
  • Schade, dachte erst, das funktioniert, weil er tatsächlich was macht. Ich hatte immer über die GUI versucht. Aber trotz Neustart keine Besserung. Gleicher Fehler. Ich denke, ich komme hier nicht weiter. Schade...
    Dienstag, 14. Juli 2015 14:54
  • Habe gerade noch einmal auf einem anderen System geschaut. Was auf dem Problem-Server auffällt, ist, wenn ich das SP3 über GUI nochmals aufrufe, kann ich die UM Rolle noch anhaken. Wenn er diese dann aktualisieren will, dann sagt er:

         Fehler beim Öffnen von Paket 'D:\Shares\Technik\MS\exh2007sp3\exchangeserve
    r.msi'. Eine andere Version des Produkts ist bereits installiert. Die Installati
    on dieser Version kann nicht fortgesetzt werden. Verwenden Sie die Systemsteueru
    ngsoption "Software", um die vorhandene Version dieses Produkts zu konfigurieren
     oder zu entfernen. Fehlercode: 1638.

    Dies ist bei dem Vergleichsserver nicht. Dort ist die UM Rollen angehakt und ausgegraut.

    Kann es sein, dass die UM Rolle nicht richtig aktualisiert wurde und deshalb kein RU installiert werden kann?

    Dienstag, 14. Juli 2015 15:03
  • Moin,

    nein, die UM Rolle brauchst du nicht, ist per Default auch nicht dabei.

    ;)


    Gruß Norbert

    Dienstag, 14. Juli 2015 18:46
    Moderator
  • Moin,

    was mir jetzt noch eingefallen ist, wie viele Zertifikate sind in dem Exchange vorhanden, sind abgelaufene dabei, das aktuelle ich noch gültig?

    ;)


    Gruß Norbert

    Freitag, 17. Juli 2015 09:58
    Moderator